package com.xxh.cloud.basic.client.api;


import com.xxh.cloud.basic.client.api.bean.bos.DictBO;
import com.xxh.cloud.basic.client.api.bean.bos.DictMapBO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface DictClientService {

    public DictBO getDictById(String id);

    public List<DictBO> getDictListByIds(Collection<String> ids);

    public Map<String, DictBO> getDictMapByIds(Collection<String> ids);



    public DictMapBO getDictValKVById(String id);

    public List<DictMapBO> getDictValKVListByIds(Collection<String> ids);

    public Map<String, DictMapBO> getDictValKVMapByIds(Collection<String> ids);


}
