package com.xxh.cloud.basic.client.api.bean.dto;

import java.util.ArrayList;
import java.util.List;

public class VisitVerificationSearchDTO {

    // 校验目标分类 BasicVisitConstant.VisitType
    private String visitType;

    // 校验目标ID
    private List<String> visitIds = new ArrayList<>();

    public VisitVerificationSearchDTO(String visitType, String visitId){
        this.visitType = visitType;
        this.visitIds.add(visitId);
    }

    public VisitVerificationSearchDTO(String visitType, List<String> visitIds){
        this.visitType = visitType;
        this.visitIds.addAll(visitIds);
    }

    public String getVisitType() {
        return visitType;
    }

    public void setVisitType(String visitType) {
        this.visitType = visitType;
    }

    public List<String> getVisitIds() {
        return visitIds;
    }

    public void setVisitIds(List<String> visitIds) {
        this.visitIds = visitIds;
    }
}
