package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Collection;

@Getter
@Setter
public class CompanyQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private Collection<String> ids;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "公司分类")
    private String type;

    @ApiModelProperty(value = "系统分类(平台运营/商户)")
    private String sysType;

}
