package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class NoticeUpdateStatusDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "状态 1:重要公告 2:普通公告 3:过期",required = true)
    @NotEmpty(message = "状态能为空")
    private String status;
}
