package com.xxh.cloud.basic.framework.modules.base.entity.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.tree.TreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class DictTypeVO{


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "字典类型")
    private String type;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "排序")
    private Integer sort;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    @ApiModelProperty("字典内容列表")
    private List<DictDataVO> items;

    public void addItem(DictDataVO item){
        if(this.items==null){
            this.items=new ArrayList<>();
        }
        if(item!=null){
            this.items.add(item);
        }
    }


}
