package com.xxh.cloud.basic.framework.modules.base.entity.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class NoticeVO {



    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "公告通知用户Ids")
    private List<String> toUserIds;

    @ApiModelProperty(value = "附件")
    private List<String> files;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    //===============
    @ApiModelProperty("创建者姓名")
    private String creatorName;

    @ApiModelProperty("更新者姓名")
    private String updaterName;
}
