package com.xxh.cloud.basic.framework.modules.biz.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class SiteMessageQueryBean {

    @ApiModelProperty(value = "消息ID")
    private String messageId;

    @ApiModelProperty(value = "消息标题")
    private String messageTitle;

    @ApiModelProperty(value = "消息分类")
    private String messageType;

    @ApiModelProperty(value = "消息参数")
    private String messageParams;

    @ApiModelProperty(value = "信息发送时间")
    private Date messageSendDate;

    @ApiModelProperty(value = "信息发送人ID")
    private String fromUserId;

    @ApiModelProperty(value = "消息读取ID")
    private String id;

    @ApiModelProperty(value = "消息接受人")
    private String toUserId;

    @ApiModelProperty(value = "消息读取状态")
    private String status;

    @ApiModelProperty(value = "信息读取时间")
    private Date readDate;



}
