package com.xxh.cloud.basic.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.Company;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.CompanyPropertyVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.CompanyVO;

public class CompanyConvertHelper {

    public static CompanyVO getCompanyVO(Company entity){
        CompanyVO data=new CompanyVO();
        BeanUtil.copyProperties(entity,data,"propertyJson");
        if(StrUtil.isNotEmpty(entity.getPropertyJson())){
            data.setPropertyJson(JSON.parseObject(entity.getPropertyJson(), CompanyPropertyVO.class));
        }
        return data;
    }
}
