package com.xxh.cloud.basic.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.DictData;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.DictType;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictDataVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeVO;

import java.util.List;

public class DictConvertHelper {

    public static DictTypeVO getDictTypeVO(DictType entity){
        DictTypeVO data=new DictTypeVO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }

    public static DictTypeVO getDictTypeVO(DictType entity, List<DictData> dictDataList){
        DictTypeVO data=DictConvertHelper.getDictTypeVO(entity);
        if(CollUtil.isNotEmpty(dictDataList)){
            dictDataList.forEach(item->{
                if(data.getId().equals(item.getDictTypeId())){
                    data.addItem(getDictDataVO(item));
                }
            });
        }
        return data;
    }


    public static DictDataVO getDictDataVO(DictData entity){
        DictDataVO data=new DictDataVO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }

    public static DictDataVO getDictDataVOSimple(DictData entity){
        DictDataVO data=new DictDataVO();
        data.setId(entity.getId());
        data.setDictLabel(entity.getDictLabel());
        data.setDictValue(entity.getDictValue());
        return data;
    }




}
