package com.xxh.cloud.basic.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.basic.client.api.bean.bos.VisitVerificationBO;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.VisitVerificationConfig;

public class VisitVerificationConvertHelper {

    public static String getVisitVerificationCacheKey(String visitType, String visitId){
        return StrUtil.format("visit:ver:{}:{}", visitType, visitId);
    }

    public static String getPatientRelIdCardCacheKey(String patientId){
        return StrUtil.format("visit:patient:rel:{}", patientId);
    }

    public static String getIdCardRelPatientCacheKey(String idCard){
        return StrUtil.format("visit:id_card:rel:{}", idCard);
    }

    public static VisitVerificationBO getVisitVerificationVO(VisitVerificationConfig entity){
        VisitVerificationBO bo = new VisitVerificationBO();
        BeanUtil.copyProperties(entity, bo);
        return bo;
    }

}
