package com.xxh.cloud.basic.framework.modules.biz.service;

import com.xxh.cloud.basic.framework.modules.base.entity.dto.*;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ProjectVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

public interface ProjectBizService {

    public PageData<ProjectVO> query(ProjectInfoQueryDTO params);


    public List<ProjectVO> list(ProjectInfoListDTO params);



    public void add(ProjectInfoAddDTO params);

    public void update(ProjectInfoEditDTO params);

    public void updateStatus(ProjectInfoEditStatusDTO params);


    public void updateDef(String id);


    public void updateDataKey(ProjectInfoEditKeyDTO params);


    public ProjectVO getDataKeyById(String id);

    public ProjectVO getById(String id);

    public void delById(String id);

}
