package com.xxh.cloud.customer.application.controller;

import cn.dev33.satoken.annotation.SaIgnore;
import com.xxh.cloud.customer.framework.modules.login.entity.dto.CustomerUserLoginUserNameDTO;
import com.xxh.cloud.customer.framework.modules.login.entity.vos.CustomerUserLoginVO;
import com.xxh.cloud.customer.framework.modules.login.service.CustomerUserLoginMobileService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SaIgnore
@RestController
@RequestMapping("/app/customer/userName")
@Api(tags="客户端,客户用户名登录")
public class CustomerUserLogin2UserNameAppController {


    @PostMapping("login")
    @ApiOperation("客户用户用户名登录")
    public Result<CustomerUserLoginVO> login(@RequestBody CustomerUserLoginUserNameDTO params) {
        ValidatorUtils.validateEntity(params);
        return new Result<CustomerUserLoginVO>().ok(null);
    }


}
