package com.xxh.cloud.customer.client.api;


import com.xxh.cloud.customer.client.api.bean.bos.SendTempResultBO;
import com.xxh.cloud.customer.client.api.bean.dto.CustomerUserLoginThirdClientDTO;
import com.xxh.cloud.customer.client.api.bean.dto.SendTempClientDTO;
import com.xxh.cloud.customer.client.api.bean.dto.ThirdUserUpdateClientDTO;

import java.util.List;

public interface CustomerThirdClientService {
    /** 优先按照thirdUserId来更新，没有在按照openid更新 */
    public void updateThirdUser(ThirdUserUpdateClientDTO params);

    public SendTempResultBO getSendTempResult(SendTempClientDTO dto);

    public List<SendTempResultBO> getSendTempResults(List<SendTempClientDTO> dtos);

    public void register(CustomerUserLoginThirdClientDTO params);

}
