package com.xxh.cloud.customer.framework.modules.biz.bean.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Collection;

@Getter
@Setter
public class UserCustomerQueryDTO extends BasePageDTO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private Collection<String> ids;

    @ApiModelProperty(value = "公司号")
    private String companyNo;

    @ApiModelProperty(value = "用户分类")
    private String type;

    @ApiModelProperty(value = "用户名称")
    private String name;



    @ApiModelProperty(value = "一级来源")
    private String sourceOne;

    @ApiModelProperty(value = "二级来源")
    private String sourceTwo;

    @ApiModelProperty(value = "三级来源")
    private String sourceThree;

    @ApiModelProperty(value = "分享码")
    private String shareCode;

    @ApiModelProperty(value = "状态(CustomerUserStatusEnum)")
    private String status;

    private boolean isDesensitized;

}
