package com.xxh.cloud.customer.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.CustomerUserVO;

public class CustomerUserHelper {


    public static CustomerUserVO getCustomerUserVO(CustomerUserInfo entity){
        return CustomerUserHelper.getCustomerUserVO(entity,false);
    }

    public static CustomerUserVO getCustomerUserVO(CustomerUserInfo entity,boolean isDesensitized){
        CustomerUserVO data=new CustomerUserVO();
        BeanUtil.copyProperties(entity,data, "customerExtend");
        if (StrUtil.isNotEmpty(entity.getCustomerExtend())) {
            data.setCustomerExtend(JSONObject.parse(entity.getCustomerExtend()));
        }
        return data;
    }

}
