package com.xxh.cloud.customer.framework.modules.biz.service;

import com.xxh.cloud.customer.framework.modules.biz.bean.dto.FamilyInfoAddDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.FamilyInfoQueryDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.FamilyInfoUpdateDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.MemberFamilyListDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.FamilyVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

public interface CustomerFamilyBizService {

    public PageData<FamilyVO> query(FamilyInfoQueryDTO params);


    public List<FamilyVO> list(MemberFamilyListDTO params);


    public List<FamilyVO> listByUser(String userId);

    public FamilyVO add(FamilyInfoAddDTO params);

    public FamilyVO update(FamilyInfoUpdateDTO params);

    public FamilyVO infoById(String id);

    public void delById(String id);


}
