package com.xxh.cloud.customer.framework.modules.cache.helper;

import cn.hutool.core.util.StrUtil;

public class CacheCustomerKeyHelper {



    /**
     * 客户用户
     * */
    public static String getCustomerUserCacheMainKey(){
        return "cust:user:*";
    }

    /**
     * 客户用户
     * */
    public static String getCustomerUserCacheKey(String id){
        return StrUtil.format("cust:user:{}",id);
    }

    /**
     * 客户地址
     * */
    public static String getCustomerAddrCacheMainKey(){
        return "cust:addr:*";
    }

    /**
     * 客户地址
     * */
    public static String getCustomerAddrCacheKey(String id){
        return StrUtil.format("cust:addr:{}",id);
    }

    /**
     * 客户家庭成员认证
     * */
    public static String getCustomerFamilyMemberAuthKey(String familyMemberId){
        return StrUtil.format("familyMember:auth:{}", familyMemberId);
    }

    /**
     * 选中的客户家庭
     * */
    public static String getCustomerFamilyMemberChoose(String userId){
        return StrUtil.format("familyMember:choose:{}", userId);
    }

    /**
     * 客户家庭成员认证短信校验key
     * */
    public static String getCustomerFamilyMemberSmsRulesKey(String mobile){
        return StrUtil.format("familyMember:sms:rule:{}", mobile);
    }

}
