package com.xxh.cloud.customer.framework.modules.check.service;

import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.check.entity.dto.CustomerUserEmailCheckDTO;
import com.xxh.cloud.customer.framework.modules.check.entity.dto.CustomerUserMobileCheckDTO;
import com.xxh.cloud.customer.framework.modules.check.entity.dto.CustomerUserUserNameCheckDTO;

public interface CustomerUserRegister2AddCheckService {


    public void validateUserName(CustomerUserUserNameCheckDTO params);

    public void validateUserName(String companyNo,String userName);

    public boolean checkUserName(CustomerUserUserNameCheckDTO params);

    public boolean checkUserName(String companyNo,String userName);

    public CustomerUserInfo getByUserName(String companyNo,String userName);

    //==============================================================

    public void validateMobile(CustomerUserMobileCheckDTO params);

    public void validateMobile(String companyNo,String mobile);
    public boolean checkMobile(CustomerUserMobileCheckDTO params);

    public boolean checkMobile(String companyNo,String mobile);

    public CustomerUserInfo getByMobile(String companyNo,String mobile);

    //==============================================================

    public boolean checkEmail(CustomerUserEmailCheckDTO params);

    public boolean checkEmail(String companyNo,String email);
    public void validateEmail(CustomerUserEmailCheckDTO params);

    public void validateEmail(String companyNo,String email);

    public CustomerUserInfo getByEmail(String companyNo,String email);





}
