package com.xxh.cloud.customer.framework.modules.login.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class CustomerUserLoginMobileDTO {


    @ApiModelProperty(value = "短信验证码", required = true)
    @NotEmpty(message = "短信验证码不能为空")
    private String code;

    @ApiModelProperty(value = "手机号", required = true)
    @NotEmpty(message = "手机号不能为空")
    private String mobile;

    @ApiModelProperty(value = "公司号(公司数据隔离必填)")
    private String companyNo;
    //==========================


    @ApiModelProperty(value = "注册时需要-昵称")
    private String nickName;


    @ApiModelProperty(value = "注册时需要-真实姓名")
    private String realName;


    @ApiModelProperty(value = "注册时需要-用户头像")
    private String headUrl;


    @ApiModelProperty(value = "注册时需要-一级来源")
    private String sourceOne;


    @ApiModelProperty(value = "注册时需要-二级来源")
    private String sourceTwo;


    @ApiModelProperty(value = "注册时需要-三级来源")
    private String sourceThree;



    //==========================

    private boolean isReg;

}
