package com.xxh.cloud.log.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 定时任务执行日志
 * </p>
 *
 * @author anros
 * @since 2023-09-21
 */
@Data
@TableName("basic_trigger_task_log")
public class TriggerTaskLog{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 关联业务一级分类
     */
     @ApiModelProperty(value = "关联业务一级分类")
      private String oneType;

    /**
     * 关联业务二级分类
     */
     @ApiModelProperty(value = "关联业务二级分类")
      private String twoType;

    /**
     * 关联业务ID
     */
     @ApiModelProperty(value = "关联业务ID")
      private String bizId;

    /**
     * 执行状态
     */
     @ApiModelProperty(value = "执行状态")
      private String status;

    /**
     * 执行备注
     */
     @ApiModelProperty(value = "执行备注")
      private String remark;

    /**
     * 操作者
     */
     @ApiModelProperty(value = "操作者")
      private String opUser;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;


}
