package com.xxh.cloud.log.framework.modules.biz.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class OperationLogAddDTO {

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "模块分类[ModuleTypeEnum]")
    private String moduleType;

    @ApiModelProperty(value = "对象分类[ObjectTypeEnum]")
    private String objectType;

    @ApiModelProperty(value = "对象ID")
    private String objectId;


    @ApiModelProperty(value = "操作时间")
    private Date opDate;

    @ApiModelProperty(value = "操作分类[OperationTypeEnum]")
    private String opType;

    @ApiModelProperty(value = "操作内容")
    private String opText;

    @ApiModelProperty(value = "备注")
    private String remark;

}
