package com.xxh.cloud.log.framework.modules.biz.entity.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class LoginLogInfoVO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "用户操作分类(登录 退出)")
    private String opType;

    @ApiModelProperty(value = "用户操作方式")
    private String opWay;

    @ApiModelProperty(value = "操作IP")
    private String opIp;


    @ApiModelProperty(value = "用户代理")
    private String opUserAgent;


    @ApiModelProperty(value = "平台设备")
    private String opPlatform;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    //=================================

}
