package com.xxh.cloud.log.framework.modules.biz.entity.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class OperationLogInfoVO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "模块分类")
    private String moduleType;

    @ApiModelProperty(value = "对象分类")
    private String objectType;

    @ApiModelProperty(value = "对象ID")
    private String objectId;

    @ApiModelProperty(value = "操作时间")
    private Date opDate;

    @ApiModelProperty(value = "操作分类")
    private String opType;

    @ApiModelProperty(value = "操作内容")
    private String opText;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;



    //===========================================



}
