package com.xxh.cloud.log.framework.modules.biz.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.BrowseLogAddBatchDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.BrowseLogAddDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.BrowseLogQueryDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.vos.BrowseLogInfoVO;

import java.util.List;

public interface BrowseLogInfoBizService {

    public PageData<BrowseLogInfoVO> query(BrowseLogQueryDTO params);

    public void add(BrowseLogAddDTO params);

    public void addBatch(BrowseLogAddBatchDTO params);

    public BrowseLogInfoVO get(String id);

    public void del(String id);

    public void delBatch(List<String> ids);



}
