package com.xxh.cloud.log.framework.modules.biz.utils.helper;

import cn.hutool.core.util.IdUtil;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.log.framework.modules.base.entity.OperationLogInfo;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.OperationLogAddDTO;

public class OperationLogHelper {

    public static OperationLogInfo getOperationLogInfo_Add(OperationLogAddDTO params){
        OperationLogInfo entity=new OperationLogInfo();
        entity.setId(getOperationLogId());
        entity.setUserId(params.getUserId());
        entity.setUserName(params.getUserName());
        entity.setModuleType(params.getModuleType());
        entity.setObjectType(params.getObjectType());
        entity.setObjectId(params.getObjectId());
        entity.setOpDate(params.getOpDate());
        entity.setOpType(params.getOpType());
        entity.setOpText(params.getOpText());
        entity.setRowsStatus(YN.YES.getCode());
        return entity;
    }


    private static String getOperationLogId(){
        return IdUtil.getSnowflake(9,1).nextIdStr();
    }
    
    public static String getLoginLogId(){
        return IdUtil.getSnowflake(9,2).nextIdStr();
    }
}
