package com.xxh.cloud.log.bean.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 客户一级来源类型
 * */
public enum CustomerOneSourceTypeEnum implements IBizBaseEnum {

    SCAN_QRCODE("scan_qrcode","扫码"),

    ;
    private String code;
    private String name;

    private CustomerOneSourceTypeEnum() {
    }

    CustomerOneSourceTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
