package com.xxh.cloud.log.bean.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 用户登录方式
 * */
public enum LogLoginWayEnum implements IBizBaseEnum {


    LL_UserName("UserName","用户名登录"),


    ;
    private String code;
    private String name;

    private LogLoginWayEnum() {
    }

    LogLoginWayEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
