package com.xxh.cloud.log.bean.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 操作分类
 * */
public enum OperationTypeEnum implements IBizBaseEnum {


    OP_Add("add","新增"),

    OP_Add_Batch("add_batch","批量新增"),

    OP_Edit("edit","修改"),

    OP_Edit_Batch("edit_batch","批量修改"),

    OP_Del("del","删除"),

    OP_Del_Batch("del_batch","批量删除"),

    OP_Get("get","获取"),

    OP_Query("query","查询"),

    OP_Edit_Status("edit_status","修改状态"),

    ;
    private String code;
    private String name;

    private OperationTypeEnum() {
    }

    OperationTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
