package com.xxh.cloud.third.framework.modules.captcha.entity.dto;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ImageCaptchaCreateDTO {


    /**
     * 宽
     * */
    private int width=160;

    /**
     * 高
     * */
    private int height=60;



    /**
     * LineCaptcha : 线段干扰的验证码
     * CircleCaptcha : 圆圈干扰验证码
     * ShearCaptcha : 扭曲干扰验证码
     * */
    private String type;


    /**
     * 干扰元素个数
     */
    private int num;


    /**
     *   验证码 过期时长，单位：秒
     * */
    private int cacheExpire;





}
