package com.xxh.cloud.third.framework.modules.captcha.entity.enums;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 短信验证码业务分类
 * */
public enum SmsCaptchaBizTypeEnum implements IBizBaseEnum {

    SC_Register("register","手机号注册验证码"),

    SC_Login("login","手机号登录验证码"),
    SC_Bind("bind","绑定验证码"),


    SC_UpdateMobile("updateMobile","修改手机号验证码"),




    ;
    private String code;
    private String name;

    private SmsCaptchaBizTypeEnum() {
    }

    SmsCaptchaBizTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }




}
