package com.xxh.cloud.third.framework.modules.sms.model;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @Author: limj
 * @Date: 2023/11/13
 */
@Data
@XStreamAlias("Return")
public class SmsResponseReturn {

    @XStreamAlias("Source")
    private String source;

    @XStreamAlias("RecordFlow")
    private String recordFlow;

    @XStreamAlias("TransNo")
    private String transNo;

    @XStreamAlias("RetCode")
    private String retCode;

    @XStreamAlias("RetType")
    private String retType;

    @XStreamAlias("RetCont")
    private String retCont;

//<Response>
//	<Head>
//	  <Return>
//		<!--服务提供方-->
//		<Source>MSSEAGE</Source>
//		<RecordFlow>123</RecordFlow>
//		<!--交易编码-->
//		<TransNo>HTIP.QSM.MESSAGE.0001</TransNo>
//		<RetCode>1：成功，0：失败</RetCode>
//		<RetType>1</RetType>
//		<RetCont>成功时为空，失败是说明失败原因</RetCont>
//	 </Return>
//	</Head>
//</Response>

}
