package com.xxh.cloud.third.framework.modules.thirdHis.model;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

/**
 * @Author: limj
 */
@Data
public class RespBaseThird<T> {
    private Integer code;
    private String msg;
    private T data;

    public RespBaseThird() {
    }

    public RespBaseThird(String result, Class<T> clazz) {
        JSONObject json = JSONObject.parseObject(result);
        this.code = (Integer)json.get("code");
        this.msg = json.get("msg").toString();
        if (json.containsKey("data") && json.get("data") != null) {
            this.data = JSONObject.parseObject(JSONObject.toJSONString(json.get("data")), clazz);
        }
    }

}
