package com.xxh.cloud.third.framework.modules.thirdHis.service;

import com.xxh.cloud.third.framework.modules.thirdHis.dto.HisGenerateSchemeDTO;
import com.xxh.cloud.third.framework.modules.thirdHis.dto.HisPromotionCodeDTO;
import com.xxh.cloud.third.framework.modules.thirdHis.model.GenerateSchemeModel;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HisPromotionCodeModel;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HisSchemeUrlModel;

/**
 *  HIS系统的服务类
 * */
public interface ThirdHisService {

    public GenerateSchemeModel generateScheme(String deptCode, String doctorCode);

    // 互联网医院
    public HisSchemeUrlModel generateWebScheme(HisGenerateSchemeDTO params);

    // 互联网医院
    public HisPromotionCodeModel getAndSavePromotionCodeUrl(HisPromotionCodeDTO params);

}
