package com.xxh.cloud.third.framework.modules.thirdUnifyUser.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ThirdUnifyJsapiSignDTO {

    @ApiModelProperty(value = "第三方参数配置ID",required = true)
    @NotEmpty(message = "第三方参数配置ID不能为空")
    private String paramsId;

    @ApiModelProperty(value = "跳转url",required = true)
    @NotEmpty(message = "跳转url不能为空")
    private String url;

}
