package com.xxh.cloud.user.client.api;


import com.xxh.cloud.user.client.api.bean.bos.DeptBO;
import com.xxh.cloud.user.client.api.bean.dto.DeptQueryDTO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface DeptClientService {

    public DeptBO getDeptById(String id);

    public List<DeptBO> getDeptListByIds(Collection<String> ids);

    public Map<String, DeptBO> getDeptMapByIds(Collection<String> ids);

    public List<DeptBO> getDeptListByCompany(String companyNo);

    public Map<String, DeptBO> getDeptMapByCompany(String companyNo);

    public List<DeptBO> getDeptList(DeptQueryDTO params);

}
