package com.xxh.cloud.user.framework.modules.base.biz;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HisSchemeUrlModel;
import com.xxh.cloud.user.framework.modules.base.entity.dto.HisDeptQueryDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.HisDeptVO;

public interface HisDeptBizService {
    
    PageData<HisDeptVO> page(HisDeptQueryDTO params);
    
    List<HisDeptVO> list(HisDeptQueryDTO params);
    
    HisDeptVO detail(HisDeptQueryDTO params);
    
    // 同步互联网医院科室信息
    void syncHisDept();

    // 获取互联网医院医生schemaUrl
    HisSchemeUrlModel getSchemaUrl(HisDeptQueryDTO params);

    // 同步互联网医院科室信息(新)
    void syncDepartmentLevel();
}
