package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 角色信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_role")
public class Role extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 公司号
     */
     @ApiModelProperty(value = "公司号")
      private String companyNo;

    /**
     * 角色名称
     */
     @ApiModelProperty(value = "角色名称")
      private String name;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;





}
