package com.xxh.cloud.user.framework.modules.base.entity.dto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

/**
 * 互联网医院科室表
 */
@Getter
@Setter
public class HisDeptQueryDTO extends BasePageDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    // 互联网医院科室ID
    @ApiModelProperty(value = "互联网医院科室ID")
    private String deptId;

    // his医院科室ID
    @ApiModelProperty(value = "his医院科室ID")
    private String hisDeptId;

    // 科室名
    @ApiModelProperty(value = "科室名")
    private String name;

    // 标准科室学科名
    @ApiModelProperty(value = "标准科室学科名")
    private String standardSubjectName;

    // 标准科室学科名列表
    @ApiModelProperty(value = "标准科室学科名列表")
    private List<String> standardSubjectNames;

}
