package com.xxh.cloud.user.framework.modules.base.entity.dto;
import lombok.Getter;
import lombok.Setter;

import io.swagger.annotations.ApiModelProperty;

/**
 * 互联网医院SchemeUrl
 */
@Getter
@Setter
public class HisSchemeUrlQueryDTO {

    /**
     * schemeUrl类型
     * // 1：医生
     * // 2：科室排班
     * 3：门诊缴费
     * 4：排队候诊
     * 5：自助入院
     * 6：在线复诊
     * 7：报告查询
     * 8：药品清单
     */
    @ApiModelProperty(value = "type")
    private String type;

}
