package com.xxh.cloud.user.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class MenuSearchDTO {

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "上级ID")
    private String pid;

    @ApiModelProperty(value = "角色id", required = true)
    @NotEmpty(message = "角色id不能为空")
    private String roleId;

}
