package com.xxh.cloud.user.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class PostInfoEditDTO {



    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "排序",required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort=0;

    @ApiModelProperty(value = "说明")
    private String remark;
}
