package com.xxh.cloud.user.framework.modules.base.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class RoleAddDTO {


    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "公司号",required = true)
    @NotEmpty(message = "公司号不能为空")
    private String companyNo;


    @ApiModelProperty(value = "角色名称",required = true)
    @NotEmpty(message = "角色名称不能为空")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;
}
