package com.xxh.cloud.user.framework.modules.base.entity.dto;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UserQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "公司号")
    private String companyNo;

    @ApiModelProperty(value = "公司号-不等于")
    private String neCompanyNo;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "部门ID")
    private String deptId;

    @ApiModelProperty(value = "部门ID列表")
    private List<String> deptIds;

    @ApiModelProperty(value = "状态")
    private String status;


    @ApiModelProperty(value = "关键字")
    private String name;


    private boolean isDesensitize=true;

    @ApiModelProperty(value = "学科")
    private String subjectCode;
    
    @ApiModelProperty(value = "学科排序")
    private Integer subjectOrder;
    
    @ApiModelProperty(value = "学科角色")
    private String subjectRole;


}
