package com.xxh.cloud.user.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
@AllArgsConstructor
public class UserUpdateStatusDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;



    @ApiModelProperty(value = "状态(UserStatus)",required = true)
    @NotEmpty(message = "状态不能为空")
    private String status;


}
