package com.xxh.cloud.user.framework.modules.base.entity.vos;

import com.xxh.cloud.framework.common.tree.TreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CompanyDeptVO  extends TreeNode<CompanyDeptVO> {

    @ApiModelProperty(value = "分类")
    private String type;

    @ApiModelProperty(value = "公司号")
    private String companyNo;

    @ApiModelProperty(value = "部门号")
    private String deptId;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    public CompanyDeptVO(){

    }

    public CompanyDeptVO(String companyNo,String name,Integer sort,String parentCompanyNo){
            this.setId(companyNo);
            this.setPid(parentCompanyNo);
            this.type="Company";
            this.companyNo=companyNo;
            this.name=name;
            this.sort=sort;
    }


    public CompanyDeptVO(String deptId, String companyNo,String name,Integer sort,String parentDeptId){
        this.setId(deptId);
        this.setPid(parentDeptId);
        this.type="Dept";
        this.deptId=deptId;
        this.companyNo=companyNo;
        this.name=name;
        this.sort=sort;
    }


}
