package com.xxh.cloud.user.framework.modules.base.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.RandomUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.user.framework.modules.base.entity.dos.Dept;
import com.xxh.cloud.user.framework.modules.base.entity.vos.DeptVO;

import java.util.Set;

public class DeptConvertHelper {

    public static DeptVO getDeptVO(Dept entity){
        DeptVO data=new DeptVO();
        BeanUtil.copyProperties(entity,data,"managerUserIds", "diseaseIds");
        if(StrUtil.isNotEmpty(entity.getManagerUserIds())){
            data.setManagerUserIds(StrJoinSplitUtils.split2List(entity.getManagerUserIds()));
        }
        if(StrUtil.isNotEmpty(entity.getDiseaseIds())){
            data.setDiseaseIds(StrJoinSplitUtils.split2List(entity.getDiseaseIds()));
        }
        return data;
    }





}
