package com.xxh.cloud.user.framework.modules.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.user.framework.modules.base.entity.dos.Menu;
import com.xxh.cloud.user.framework.modules.base.entity.dto.MenuAddDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.MenuSearchDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.MenuUpdateDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.MenuVO;

import java.util.List;

/**
 * <p>
 * 菜单信息表 服务类
 * </p>
 */
public interface MenuService extends IService<Menu> {

    public List<MenuVO> getTree();

    public List<MenuVO> getTreeByRole(String roleId);

    public List<MenuVO> getTreeAllByRole(String roleId);

    public List<MenuVO> getListByRole(MenuSearchDTO params);

    public MenuVO add(MenuAddDTO params);

    public MenuVO update(MenuUpdateDTO params);

    public MenuVO infoById(String id);

    public void delById(String id);


}
