package com.xxh.cloud.user.framework.modules.base.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.mybatisplus.page.PageConverter;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.user.framework.modules.base.entity.dos.PostInfo;
import com.xxh.cloud.user.framework.modules.base.entity.dto.PostInfoAddDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.PostInfoEditDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.PostInfoQueryDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.PostInfoVO;
import com.xxh.cloud.user.framework.modules.base.helper.PostInfoConvertHelper;
import com.xxh.cloud.user.framework.modules.base.mapper.PostInfoMapper;
import com.xxh.cloud.user.framework.modules.base.service.PostInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xxh.cloud.user.framework.modules.cache.keys.UserCacheKeyUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;


/**
 * <p>
 * 岗位信息表 服务实现类
 * </p>
 */
@Service
public class PostInfoServiceImpl extends ServiceImpl<PostInfoMapper, PostInfo> implements PostInfoService {




}
