package com.xxh.cloud.user.framework.modules.cache.keys;

import cn.hutool.core.util.StrUtil;

public class UserCacheKeyUtil {


    /**用户信息KEY*/
    public static String getUserMainKey(){
        return "sys:user:info:*";
    }

    /**用户信息KEY*/
    public static String getUserKey(String id){
        return StrUtil.format("sys:user:info:{}",id);
    }


    /**部门信息KEY*/
    public static String getDeptMainKey(){
        return "sys:dept:info:*";
    }

    /**部门信息KEY*/
    public static String getDeptKey(String id){
        return StrUtil.format("sys:dept:info:{}",id);
    }

    /**岗位信息KEY*/
    public static String getPostMainKey(){
        return "sys:post:info:*";
    }

    /**岗位信息KEY*/
    public static String getPostKey(String id){
        return StrUtil.format("sys:post:info:{}",id);
    }

    /**用户分组信息KEY*/
    public static String getGroupMainKey(){
        return "sys:group:info:*";
    }
    /**用户分组信息KEY*/
    public static String getGroupKey(String id){
        return StrUtil.format("sys:group:info:{}",id);
    }




    /**角色信息KEY*/
    public static String getRuleMainKey(){
        return "sys:rule:info:*";
    }
    /**角色信息KEY*/
    public static String getRuleKey(String id){
        return StrUtil.format("sys:rule:info:{}",id);
    }





    /**用户菜单权限KEY*/
    public static String getUserPermissionKey(String id){
        return StrUtil.format("uc:perm:{}",id);
    }


    /**用户角色权限KEY*/
    public static String getUserRoleKey(String id){
        return StrUtil.format("uc:role:{}",id);
    }


//    /**用户数据权限KEY*/
//    public static String getUserDataScopeKey(String id){
//        return StrUtil.format("uc:data:{}",id);
//    }




}
