package com.xxh.cloud.user.framework.modules.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 菜单路由分类
 * */
public enum MenuRouteType implements IBizBaseEnum {

    InRoute("in","系统中路由"),
    OutAddress("out","外部地址"),
    ;
    private String code;
    private String name;

    private MenuRouteType() {
    }

    MenuRouteType(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }
}
