package com.xxh.cloud.user.framework.modules.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 菜单分类
 * */
public enum MenuType implements IBizBaseEnum {

    MenuDir("menu_dir","菜单目录"),
    Menu("menu","菜单"),
    Button("button","按钮"),

    ;
    private String code;
    private String name;

    private MenuType() {
    }

    MenuType(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }
}
