package com.xxh.cloud.user.framework.modules.login.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class UserPasswordLoginDTO {


    @ApiModelProperty(value = "公司号")
    private String companyNo;


    @ApiModelProperty(value = "用户名", required = true)
    @NotEmpty(message = "用户名不能为空")
    private String userName;


    @ApiModelProperty(value = "密码", required = true)
    @NotEmpty(message = "密码不能为空")
    private String password;

    @ApiModelProperty(value = "文字验证码", required = true)
    @NotEmpty(message = "文字验证码不能为空")
    private String wordVCode;

    @ApiModelProperty(value = "校验参数", required = true)
    @NotEmpty(message = "校验参数不能为空")
    private String captchaVerification;
}
