package com.xxh.cloud.user.framework.modules.login.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class UserUpdatePasswordBySelfDTO {
    @ApiModelProperty(value = "旧密码",required = true)
    @NotEmpty(message = "密码不能为空")
    private String oldPassWord;

    @ApiModelProperty(value = "新密码",required = true)
    @NotEmpty(message = "密码不能为空")
    private String newPassWord;
}
