package com.xxh.cloud.user.framework.modules.login.entity.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UserLoginVO {


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "公司号")
    private String companyNo;


    @ApiModelProperty(value = "用户名")
    private String userName;


    @ApiModelProperty(value = "真实姓名")
    private String realName;


    @ApiModelProperty(value = "头像")
    private String headUrl;


    @ApiModelProperty(value = "性别")
    private String gender;


    @ApiModelProperty(value = "手机号")
    private String mobile;


    @ApiModelProperty(value = "邮箱")
    private String email;


    @ApiModelProperty(value = "部门ID")
    private String deptId;


    @ApiModelProperty(value = "是否超级管理员")
    private String isSuperAdmin;


    @ApiModelProperty(value = "登录token")
    private String token;


    //======================================
    @ApiModelProperty(value = "thirdId")
    private String thirdId;

    @ApiModelProperty(value = "第三方参数配置ID")
    private String thirdParamsId;


    @ApiModelProperty(value = "第三方OpenId")
    private String thirdOpenId;

    @ApiModelProperty(value = "第三方UnionId")
    private String thirdUnionId;
    //=======================================

}
