package com.xxh.cloud.basic.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 字典数据表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_dict_data")
public class DictData extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 字典类型ID
     */
     @ApiModelProperty(value = "字典类型ID")
      private String dictTypeId;

    /**
     * 字典标签
     */
     @ApiModelProperty(value = "字典标签")
      private String dictLabel;

    /**
     * 字典值
     */
     @ApiModelProperty(value = "字典值")
      private String dictValue;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 排序
     */
     @ApiModelProperty(value = "排序")
      private Integer sort;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private String status;


}
