package com.xxh.cloud.basic.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 页面数据DO
 *
 */
@Data
@TableName("sys_page_info")
@NoArgsConstructor
public class PageInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "页面code")
    @TableId(value = "code", type = IdType.INPUT)
    private String code;

    @ApiModelProperty(value = "页面名称")
    private String name;

    @ApiModelProperty(value = "页面数据")
    private String pageData;

    @ApiModelProperty(value = "页面状态")
    private String pageState;

}