package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import com.xxh.cloud.basic.framework.modules.base.entity.vos.CompanyPropertyVO;
import com.xxh.cloud.basic.framework.modules.constant.CompanySysType;
import com.xxh.cloud.framework.common.constant.Constant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class CompanyUpdateDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "公司分类")
    private String type;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "logo")
    private String logo;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "说明")
    private String remark;

    @ApiModelProperty(value = "扩展信息")
    private CompanyPropertyVO propertyJson;



}
