package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;


@Getter
@Setter
public class DictDataAdd2UpdateBatchDTO {

    @ApiModelProperty(value = "字典类型ID",required = true)
    @NotEmpty(message = "字典类型ID不能为空")
    private String dictTypeId;

    @ApiModelProperty(value = "字典列表",required = true)
    @NotNull(message = "字典列表不能为空")
    private List<DictDataAdd2UpdateItem> items;


}
