package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class DictTypeAddDTO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "字典类型(DictTypeCategory)")
    private String type;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "排序",required = true)
    @NotNull(message = "名称不能为空")
    private Integer sort=0;

    @ApiModelProperty("上级id")
    private String pid;


}
