package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class NoticeAddDTO {

    @ApiModelProperty(value = "标题",required = true)
    @NotEmpty(message = "标题不能为空")
    private String title;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "公告通知用户Ids")
    private List<String> toUserIds;

    @ApiModelProperty(value = "附件")
    private List<String> files;

    @ApiModelProperty(value = "状态 1:重要公告 2:普通公告 3:过期",required = true)
    @NotEmpty(message = "状态能为空")
    private String status;

}
