package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ProjectInfoEditKeyDTO {

    @ApiModelProperty(value = "项目编号",required = true)
    @NotEmpty(message = "项目编号不能为空")
    private String code;


    @ApiModelProperty(value = "加密私钥",required = true)
    @NotEmpty(message = "项目私钥不能为空")
    private String dataPrivateKey;


    @ApiModelProperty(value = "加密公钥",required = true)
    @NotEmpty(message = "项目公钥不能为空")
    private String dataPublicKey;
}
