package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ProjectInfoEditStatusDTO {


    @ApiModelProperty(value = "项目编号",required = true)
    @NotEmpty(message = "项目编号不能为空")
    private String code;


    @ApiModelProperty(value = "状态(YN)",required = true)
    @NotEmpty(message = "状态不能为空")
    private String status;


}
