package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class SiteMessageQueryDTO extends BasePageDTO {


    @ApiModelProperty(value = "消息ID")
    private String messageId;

    @ApiModelProperty(value = "消息标题")
    private String messageTitle;

    @ApiModelProperty(value = "消息分类")
    private String messageType;

    @ApiModelProperty(value = "消息发送人")
    private String fromUserId;

    @ApiModelProperty(value = "消息接受人")
    private String toUserId;

    @ApiModelProperty(value = "消息读取状态(site_message_status)")
    private String status;

    @ApiModelProperty(value = "发送时间-开始")
    private String sendDateStart;

    @ApiModelProperty(value = "发送时间-截止")
    private String sendDateEnd;

    @ApiModelProperty(value = "读取时间-开始")
    private String readDateStart;

    @ApiModelProperty(value = "读取时间-截止")
    private String readDateEnd;



}
