package com.xxh.cloud.basic.framework.modules.base.entity.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.param.bos.DataSourceConfigBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class ProjectVO {


    @ApiModelProperty(value = "项目编号")
    private String code;


    @ApiModelProperty(value = "项目名称")
    private String name;


    @ApiModelProperty(value = "状态")
    private String status;


    @ApiModelProperty(value = "负责人")
    private String director;


    @ApiModelProperty(value = "描述")
    private String remark;

    @ApiModelProperty(value = "是否默认")
    private String isDef;


    @ApiModelProperty(value = "加密私钥")
    private String dataPrivateKey;


    @ApiModelProperty(value = "加密公钥")
    private String dataPublicKey;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    @ApiModelProperty(value = "数据连接配置")
    private DataSourceConfigBO dataLinkConfig;

    //==========================================


}
