package com.xxh.cloud.basic.framework.modules.base.entity.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.Map;

@Getter
@Setter
public class SiteMessageVO {


    @ApiModelProperty(value = "消息ID")
    private String messageId;

    @ApiModelProperty(value = "消息标题")
    private String messageTitle;

    @ApiModelProperty(value = "消息分类")
    private String messageType;

    @ApiModelProperty(value = "消息参数")
    private  Map<String,Object> messageParams;

    @ApiModelProperty(value = "消息内容")
    private String messageContent;

    @ApiModelProperty(value = "信息发送时间")
    private Date messageSendDate;

    @ApiModelProperty(value = "信息发送人ID")
    private String fromUserId;

    @ApiModelProperty(value = "消息读取ID")
    private String id;

    @ApiModelProperty(value = "消息接受人")
    private String toUserId;

    @ApiModelProperty(value = "消息读取状态")
    private String status;

    @ApiModelProperty(value = "信息读取时间")
    private Date readDate;

    //==================================

    @ApiModelProperty(value = "信息发送人-名称")
    private String fromUserName;

    @ApiModelProperty(value = "消息接受人-名称")
    private String toUserIdName;







}
