package com.xxh.cloud.basic.framework.modules.base.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.Params;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.ParamsAddDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.ParamsListDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.ParamsQueryDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.ParamsUpdateDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ParamsVO;
import com.xxh.cloud.basic.framework.modules.biz.helper.ParamsConvertHelper;
import com.xxh.cloud.basic.framework.modules.base.mapper.ParamsMapper;
import com.xxh.cloud.basic.framework.modules.base.service.ParamsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xxh.cloud.basic.framework.modules.cache.helper.CacheBasicKeyHelper;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.mybatisplus.page.PageConverter;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 系统参数表 服务实现类
 */
@Service
public class ParamsServiceImpl extends ServiceImpl<ParamsMapper, Params> implements ParamsService {



}
