package com.xxh.cloud.basic.framework.modules.biz.service;

import com.xxh.cloud.basic.client.api.bean.bos.VisitVerificationBO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.VisitVerificationAddDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.VisitVerificationEditDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.VisitVerificationGetDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.VisitVerificationQueryDTO;
import com.xxh.cloud.framework.common.page.PageData;

public interface VisitVerificationConfigBizService {

    public void syncPatientRecordBlackList();

    /** 根据身份证扩展患者ID */
    public void syncPatient4IdCard();

    public void save(VisitVerificationAddDTO params);

    public void edit(VisitVerificationEditDTO params);

    public void del(VisitVerificationGetDTO params);

    public PageData<VisitVerificationBO> query(VisitVerificationQueryDTO params);

}
