package com.xxh.cloud.basic.framework.modules.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 机构系统分类
 * */
public enum CompanySysType implements IBizBaseEnum {

    Company_Platform("platform","平台机构"),
    Company_Merchant("merchant","商户机构"),
    ;
    private String code;
    private String name;

    private CompanySysType() {
    }

    CompanySysType(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
