package com.xxh.cloud.basic.framework.modules.log.service;

import com.xxh.cloud.basic.framework.modules.log.entity.dos.LogOperation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.basic.framework.modules.log.entity.dto.LogErrorQueryDTO;
import com.xxh.cloud.basic.framework.modules.log.entity.dto.LogOperationQueryDTO;
import com.xxh.cloud.basic.framework.modules.log.entity.dto.LogOperationSaveDTO;
import com.xxh.cloud.basic.framework.modules.log.entity.vos.LogErrorVO;
import com.xxh.cloud.basic.framework.modules.log.entity.vos.LogOperationVO;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.user.LoginUser;

import java.util.Collection;

/**
 * <p>
 * 操作日志 服务类
 * </p>
 */
public interface LogOperationService extends IService<LogOperation> {


    public PageData<LogOperationVO> query(LogOperationQueryDTO params);

    public void delById(String id);

    public void delByIds(Collection<String> ids);

    public LogOperationVO infoById(String id);

    public void saveLog(LogOperationSaveDTO params);

}
