package com.xxh.cloud.customer.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 客户登录日志表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cust_customer_log_login")
public class CustomerLogLogin extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;




}
