package com.xxh.cloud.customer.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 三方用户变更表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cust_customer_log_third")
public class CustomerLogThird extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 操作类型
     */
     @ApiModelProperty(value = "操作类型")
      private String opType;

    /**
     * 操作Id
     */
    @ApiModelProperty(value = "操作Id")
    private String opId;

    /**
     * 操作前
     */
    @ApiModelProperty(value = "操作前")
    private String opBefore;

    /**
     * 操作后
     */
    @ApiModelProperty(value = "操作后")
    private String opAfter;

}
