package com.xxh.cloud.customer.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class MemberFamilyAuthSmsDTO {

    @ApiModelProperty(value = "家庭成员id",required = true)
    @NotEmpty(message = "家庭成员id不能为空")
    private String familyMemberId;

    @ApiModelProperty(value = "图形验证码验证key", required = true)
    @NotEmpty(message = "验证码KEY不能为空")
    private String captchaVerification;

    @ApiModelProperty(value = "图形验证码",required = true)
    @NotEmpty(message = "验证码不能为空")
    private String captchaCode;
}
