package com.xxh.cloud.customer.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class MemberFamilyListDTO {

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "就诊人Id")
    private String patientId;

    @ApiModelProperty(value = "就诊人Id")
    private List<String> patientIds;

    @ApiModelProperty(value = "与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人")
    private String relationType;

    @ApiModelProperty(value = "患者类型 0:成人 1:儿童 2:妇女 3:老人")
    private String patientType;

    /**就诊人门诊id(HIS)*/
    private String patHisNo;

    /**就诊人门诊id(HIS)*/
    private List<String> patHisNos;

    @ApiModelProperty(value = "是否授权 YN")
    private String isAuth;

    /**患者主id*/
    private String mainPersonId;

    /**患者主id*/
    private List<String> mainPersonIds;

}
