package com.xxh.cloud.customer.framework.modules.biz.service;

import com.xxh.cloud.customer.framework.modules.biz.bean.dto.*;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.AddressVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

public interface CustomerAddrBizService {


    public PageData<AddressVO> query(AddressQueryDTO params);

    public List<AddressVO> list(AddressListDTO params);

    public List<AddressVO> listByUser(String userId);

    public AddressVO add(AddressAddDTO params);

    public AddressVO update(AddressUpdateDTO params);


    public void updateDef(AddressUpdateDefDTO params);

    public AddressVO infoById(String id);

    public AddressVO info2NullById(String id);

    public void delById(String id);


}
