package com.xxh.cloud.customer.framework.modules.register.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class CustomerUserRegisterUserNameDTO {


    @ApiModelProperty(value = "公司号")
    private String companyNo;


    @ApiModelProperty(value = "用户分类")
    private String type;


    @ApiModelProperty(value = "用户名",required = true)
    @NotEmpty(message = "用户名不能为空")
    private String userName;


    @ApiModelProperty(value = "密码",required = true)
    @NotEmpty(message = "密码不能为空")
    private String passWord;



    @ApiModelProperty(value = "昵称")
    private String nickName;


    @ApiModelProperty(value = "真实姓名")
    private String realName;


    @ApiModelProperty(value = "用户头像")
    private String headUrl;


    @ApiModelProperty(value = "一级来源")
    private String sourceOne;


    @ApiModelProperty(value = "二级来源")
    private String sourceTwo;


    @ApiModelProperty(value = "三级来源")
    private String sourceThree;





}
