package com.xxh.cloud.log.framework.modules.biz.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.OperationLogAddBatchDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.OperationLogAddDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.OperationLogQueryDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.vos.OperationLogInfoVO;

import java.util.List;

public interface OperationLogInfoBizService {


    public PageData<OperationLogInfoVO> query(OperationLogQueryDTO params);


    public void add(OperationLogAddDTO params);

    public void addBatch(OperationLogAddBatchDTO params);

    public OperationLogInfoVO get(String id);

    public void del(String id);

    public void delBatch(List<String> ids);

}
