package com.xxh.cloud.store.framework.modules.utils;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AliYunOssCallbackModel {

	
	/**文件名*/
	private String fileName;
	/**资源类型，如 jpeg 图片的资源类型为 image/jpeg*/
	private String mimeType;
	/**文件的 ETag*/
	private String etag;
	/**Object 大小*/
	private long size;
	/**图片高度*/
	private int height;
	/**图片宽度*/
	private int width;
	/**存储空间*/
	private String bucket;
	/**租户号*/
	private String tenantCode;
	/**存储空间 私有读/公有读*/
	private String bucketType;
	/**用户ID*/
	private String userId;
	/**文件后缀名*/
	private String format;

	/**图片压缩宽度*/
	private String resizeWidth;

	/**图片压缩质量*/
	private int quality;
	
	
	
	
}
