package com.xxh.cloud.third.framework.modules.captcha.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class SmsCaptchaSendDTO {


    @ApiModelProperty(value = "手机号", required = true)
    @NotEmpty(message = "手机号不能为空")
    private String mobile;

    @ApiModelProperty(value = "短信验证码分类(SmsCaptchaBizTypeEnum)", required = true)
    @NotEmpty(message = "短信验证码分类不能为空")
    private String type;

    @ApiModelProperty(value = "图形验证码验证key", required = true)
    @NotEmpty(message = "验证码KEY不能为空")
    private String captchaVerification;

    @ApiModelProperty(value = "图形验证码",required = true)
    @NotEmpty(message = "验证码不能为空")
    private String captchaCode;


}
