package com.xxh.cloud.third.framework.modules.captcha.entity.enums;

import com.xxh.cloud.framework.common.exception.IErrorCodeEnum;

/**
 * 10XXX
 * */
public enum XXThirdErrorEnum implements IErrorCodeEnum {


    Vcode_Expire(10001,"验证码过期"),
    Vcode_Check_Error(10002,"验证码验证错误"),
    ;
    private int code;
    private String msg;

    private XXThirdErrorEnum() {
    }

    XXThirdErrorEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
