package com.xxh.cloud.third.framework.modules.thirdHis.model;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

@Data
public class HisRespBaseThird<T> {
    private Integer code;
    private String message;
    private String type;
    private T result;

    public HisRespBaseThird() {
    }

    public HisRespBaseThird(String result, Class<T> clazz) {
        JSONObject json = JSONObject.parseObject(result);
        this.code = (Integer)json.get("code");
        this.message = json.get("message").toString();
        this.type = json.get("type").toString();
        if (json.containsKey("result") && json.get("result") != null) {
            this.result = JSONObject.parseObject(JSONObject.toJSONString(json.get("result")), clazz);
        }
    }

}
