package com.xxh.cloud.user.sys.application.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import cn.dev33.satoken.annotation.SaIgnore;
import cn.dev33.satoken.session.SaSession;
import cn.dev33.satoken.stp.SaLoginConfig;
import cn.dev33.satoken.stp.SaTokenInfo;
import cn.dev33.satoken.stp.StpUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.mybatisplus.typehandle.EncryptionQueryWrapper;
import com.xxh.cloud.framework.common.mybatisplus.typehandle.EncryptionUpdateWrapper;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.user.AuthContextUtils;
import com.xxh.cloud.framework.common.user.LoginUser;
import com.xxh.cloud.framework.common.utils.SpringContextUtils;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.log.bean.constant.ModuleTypeEnum;
import com.xxh.cloud.log.bean.constant.ObjectTypeEnum;
import com.xxh.cloud.log.bean.constant.OperationTypeEnum;
import com.xxh.cloud.log.bean.dto.OpLogGenDTO;
import com.xxh.cloud.log.framework.modules.biz.service.OperationLogInfoBizService;
import com.xxh.cloud.log.utils.OperationLogUtils;
import com.xxh.cloud.user.framework.modules.base.biz.RoleBizService;
import com.xxh.cloud.user.framework.modules.base.biz.UserInfoBizService;
import com.xxh.cloud.user.framework.modules.base.entity.dto.UserAddDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.UserMenuSearchDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.UserQueryDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.MenuVO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.RoleVO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.UserVO;
import com.xxh.cloud.user.framework.modules.base.service.UserService;
import com.xxh.cloud.user.sys.application.controller.req.Ubs1;
import com.xxh.cloud.user.sys.application.controller.req.Ubs2;
import com.xxh.cloud.user.sys.application.controller.req.UsbBasicDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Deprecated
@Log4j2
@SaIgnore
@RestController
@RequestMapping("/app/demo")
@Api(tags="运营端用户(服务),DEMO")
public class UserDemoAppController {

    @Autowired
    private UserInfoBizService userInfoBizService;


    @Autowired
    private RoleBizService roleBizService;


//
//    @PostMapping("Ubs1")
//    @ApiOperation("Ubs1接口")
//    public Result<String> Ubs1(@RequestBody UsbBasicDTO<Ubs1> params) {
//        System.out.println("******************Ubs1");
//        return new Result<String>().ok(JSON.toJSONString(params));
//    }
//
//
//
//
//    @PostMapping("Ubs2")
//    @ApiOperation("Ubs2")
//    public Result<String> Ubs2(@RequestBody UsbBasicDTO<Ubs2> params) {
//        System.out.println("++++++++++++++++++Ubs2");
//        return new Result<String>().ok(JSON.toJSONString(params));
//    }


//
//    @GetMapping("/t1")
//    public Result<String> t1(@RequestParam("id") String id) {
//        Map<String,Object> extraData=new HashMap<>();
//        extraData.put("id",id);
//        extraData.put("name", StrUtil.format("name_{}",id));
//        StpUtil.login(id, SaLoginConfig.setExtraData(extraData));;
//        SaTokenInfo tokenInfo = StpUtil.getTokenInfo();
//        return new Result<String>().ok(StrUtil.format("loginId = {}  ;;; token = {}",tokenInfo.getLoginId(),tokenInfo.getTokenValue()));
//    }
//
//
//
//    @GetMapping("/demo300")
//    public Result<String> demo300() {
//        List<String> ids= StpUtil.searchSessionId("",0,-1,false);
//        return new Result<String>().ok(JSON.toJSONString(ids));
//    }
//
//    @GetMapping("/demo400")
//    public Result<String> demo400(@RequestParam("id") String id) {
//        SaSession ss= StpUtil.getSessionBySessionId(id);
//        return new Result<String>().ok(JSON.toJSONString(ss));
//    }
//
//
//    @GetMapping("/demo500")
//    public Result<String> demo500(@RequestParam("id") String id) {
//        StpUtil.kickout(id);
//        return new Result<String>().ok("ok");
//    }



//    @GetMapping("/demo100")
//    public Result<String> demo100(@RequestParam("id") String id) {
//        RoleVO data=roleBizService.infoById(id);
//        return new Result<String>().ok(JSON.toJSONString(data));
//    }



//    @GetMapping("/demo200")
//    public Result<String> demo200() {
//        OpLogGenDTO params= OperationLogUtils.getOpLogGenDTO("100","admin",new Date(), OperationTypeEnum.OP_Add,ModuleTypeEnum.MT_User,
//                ObjectTypeEnum.OT_User,"sfsdfsdfs",null);
//        params.addExtend("111","对方水电费水电费是的");
//
//        OperationLogUtils.add(params);
//
//        return new Result<String>().ok("000000000000");
//    }




//    @GetMapping("/test1")
//    @ApiOperation(value = "数据库test1")
//    public Result<String> test1() {
//        //TRACE < DEBUG < INFO < WARN < ERROR < FATAL
//        log.debug("++++++++++++++++++++ 数据库test1 debug");
//        log.info("++++++++++++++++++++ 数据库test1 info");
//        log.warn("++++++++++++++++++++ 数据库test1 warn");
//        log.error("++++++++++++++++++++ 数据库test1 error");
////        log.fatal("++++++++++++++++++++ 数据库test1 fatal");
//        return new Result<String>().ok("ok");
//    }



}
