package com.xxh.cloud.user.framework.modules.base.biz;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HisSchemeUrlModel;
import com.xxh.cloud.user.framework.modules.base.entity.dto.HisDoctorQueryDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.HisDoctorVO;

public interface HisDoctorBizService {
    
    PageData<HisDoctorVO> page(HisDoctorQueryDTO params);
    
    List<HisDoctorVO> list(HisDoctorQueryDTO params);
    
    HisDoctorVO detail(HisDoctorQueryDTO params);
    
    // 同步互联网医院医生信息
    void syncHisDoctor();
    
    // 获取互联网医院医生schemaUrl
    HisSchemeUrlModel getSchemaUrl(HisDoctorQueryDTO params);

}
