package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 用户客户关联信息表
 * </p>
 */
@Data
@TableName("sys_group_user_info")
public class GroupUserInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 分组ID
     */
     @ApiModelProperty(value = "分组ID")
      private String groupId;

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;




}
