package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 岗位信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_post_info")
public class PostInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;


    /**
     * 公司号
     */
    @ApiModelProperty(value = "公司号")
     private String companyNo;


    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 类型
     */
     @ApiModelProperty(value = "类型")
      private String type;

    /**
     * 排序
     */
     @ApiModelProperty(value = "排序")
      private Integer sort;

    /**
     * 说明
     */
     @ApiModelProperty(value = "说明")
      private String remark;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;


}
