package com.xxh.cloud.user.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class DeptUpdateDTO {


    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "id")
    private String name;

    @ApiModelProperty(value = "排序")
    private Integer sort=0;


    @ApiModelProperty(value = "部门主管用户ID")
    private List<String> managerUserIds;

    @ApiModelProperty(value = "备注")
    private String remark;

    // zs:20231009
    @ApiModelProperty(value = "病种ID")
    private List<String> diseaseIds;

    // 扩展字段
    @ApiModelProperty(value = "'部门分类'")
    private String deptType;

    @ApiModelProperty(value = "扩展1 部门分类名称")
    private String extend1;

    @ApiModelProperty(value = "扩展2 网站对应科室ID")
    private String extend2;

    @ApiModelProperty(value = "扩展3")
    private String extend3;

    @ApiModelProperty(value = "扩展4")
    private String extend4;

    @ApiModelProperty(value = "扩展5")
    private String extend5;
}
