package com.xxh.cloud.user.framework.modules.base.entity.dto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

/**
 * 互联网医院医生表
 */
@Getter
@Setter
public class HisDoctorQueryDTO extends BasePageDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    // 互联网医生Id
    @ApiModelProperty(value = "医生Id")
    private String doctorId;

    // his医生Id
    @ApiModelProperty(value = "his医生Id")
    private String hisDoctorId;

    // 医生姓名
    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    // 医生姓名列表
    @ApiModelProperty(value = "医生姓名列表")
    private List<String> doctorNames;

    // 互联网科室ID
    @ApiModelProperty(value = "互联网科室ID")
    private String deptId;

    // 互联网科室IDs
    @ApiModelProperty(value = "互联网科室IDs")
    private List<String> deptIds;

}
